Subject: bug#59196: Update on bug#59196: `guix pull` fails on A20-OLinuXino-LIME2-eMMC

From: Julien Lepiller <[email-masked]>
Date: Wed, 27 Nov 2024 12:20:30 +0100

You'd probably want to use the same bootloader as your armbian (I guess u-boot). It's described in the blogpost, you need to find or create the package specific to your board.

Le 27 novembre 2024 10:25:16 GMT+01:00, Tanguy LE CARROUR <[email-masked]> a écrit :
>Hi Guix,
>
>After few… years (😵!?) I gave another try to Guix on A20-OLinuXino-LIME2.
>Here is how it went…
>
>I installed the latest Armbian (`25.2.0-trunk.72 bookworm`) on a new SD.
>I updated the package list and then… `guix pull`!
>83860 new commits and 7 hours later it successfully finished! 🎉
>This is already better than last time!
>
>Than, I tried to build the installation image:
>
>```
>$ guix system image --system=armhf-linux -e '((@ (gnu system install) os-with-u-boot) (@ (gnu system install) installation-os) "A20-OLinuXino-Lime2")'
>Mise à jour du canal « guix » depuis le dépôt Git « https://git.savannah.gnu.org/git/guix.git »...
>substitute: mise à jour des substituts depuis « https://ci.guix.gnu.org »... 100.0 %
>substitute: mise à jour des substituts depuis « https://bordeaux.guix.gnu.org »... 100.0 %
>substitute: mise à jour des substituts depuis « https://ci.guix.gnu.org »... 100.0 %
>substitute: mise à jour des substituts depuis « https://bordeaux.guix.gnu.org »... 100.0 %
>substitute: mise à jour des substituts depuis « https://ci.guix.gnu.org »... 100.0 %
>substitute: mise à jour des substituts depuis « https://bordeaux.guix.gnu.org »... 100.0 %
>construction de /gnu/store/0nibhnjnvicz8j9vpnmd3cmff395nfww-config.scm.drv...
>construction de /gnu/store/7whyplznhnkmsjwfqm85bdw44yz6v133-git.scm.drv...
>construction de /gnu/store/q45178ins451323zfmhajswzmh0k47b7-hash.scm.drv...
>construction de /gnu/store/ac3siz1a847aslxfbnw6hfhbdkxz79vr-module-import.drv...
>construction de /gnu/store/zqs7axm2gc68fr6pnlr18k7zdmii5hxz-module-import.drv...
>construction de /gnu/store/7shg17mgalpbrfdpbw80jy3cjafmr2b1-module-import-compiled.drv...
>construction de /gnu/store/m1r2036l5r3dms4lsgyqqk8v71zyfzrq-module-import-compiled.drv...
>construction de /gnu/store/xnfzrk0cxg405d463j7xl5y767xf3xaw-compute-guix-derivation.drv...
>Computing Guix derivation for 'armhf-linux'... /
>susubstitute: mise à jour des substituts depuis « https://ci.guix.gnu.org »...   0.0 %Backtrace:
>substitute: In ice-9/boot-9.scm:
>substitute:   1752:10 17 (with-exception-handler _ _ #:unwind? _ # _)
>substitute: In unknown file:
>substitute:           16 (apply-smob/0 #<thunk b6745290>)
>substitute: In ice-9/boot-9.scm:
>substitute:     724:2 15 (call-with-prompt _ _ #<procedure default-prompt-handle…>)
>substitute: In ice-9/eval.scm:
>substitute:     619:8 14 (_ #(#(#<directory (guile-user) b673a6e0>)))
>substitute: In guix/ui.scm:
>substitute:    2275:7 13 (run-guix . _)
>substitute:   2238:10 12 (run-guix-command _ . _)
>substitute: In ice-9/boot-9.scm:
>substitute:   1752:10 11 (with-exception-handler _ _ #:unwind? _ # _)
>substitute:   1752:10 10 (with-exception-handler _ _ #:unwind? _ # _)
>substitute: In guix/scripts/substitute.scm:
>substitute:    842:18  9 (_)
>substitute:    348:26  8 (process-query #<output: file 4> _ #:cache-urls _ #:acl _)
>substitute: In guix/substitutes.scm:
>substitute:    365:27  7 (lookup-narinfos/diverse _ _ #<procedure b678d380 at g…> …)
>substitute:    322:31  6 (lookup-narinfos _ _ #:open-connection _ # _)
>substitute:    245:26  5 (fetch-narinfos _ _ #:open-connection _ # _)
>substitute: In ice-9/boot-9.scm:
>substitute:   1685:16  4 (raise-exception _ #:continuable? _)
>substitute:   1685:16  3 (raise-exception _ #:continuable? _)
>substitute:   1780:13  2 (_ #<&compound-exception components: (#<&error> #<&orig…>)
>substitute:   1685:16  1 (raise-exception _ #:continuable? _)
>substitute:   1685:16  0 (raise-exception _ #:continuable? _)
>substitute: 
>substitute: ice-9/boot-9.scm:1685:16: In procedure raise-exception:
>substitute: In procedure write_wait_fd: unimplemented
>guix system: erreur : `/usr/bin/guix substitute' died unexpectedly
>```
>
>😞
>
>Plan B was to try to install Guix on the same drive following Julien’s blog post [1],
>but I have no idea what a proper OLinuXino-Lime2 system config file
>should look like!? For instance, what should the `bootloader` section be?! 🤔
>
>[1]: https://guix.gnu.org/blog/2019/guix-on-an-arm-board/
>
>Any help, idea or advice would be welcome!
>
>Best regards,
>